<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: add_to_group.php
| Author: Christian Damsgaard Jrgensen (PMM) & Craig Dewar
| Site: http://www.php-fusion.co.uk || http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

if (file_exists(INFUSIONS."add_to_group/locale/".$settings['locale'].".php")) {
include INFUSIONS."add_to_group/locale/".$settings['locale'].".php";
} else {
include INFUSIONS."add_to_group/locale/English.php";
}

$days = 21;
$items_per_page = 15;

if (!iADMIN || !checkrights("UG")) { redirect("../../index.php"); }

if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }

if (isset($_POST['add_to_group'])) {
	if (isset($_POST['user_group']) && isnum($_POST['user_group']) && (isset($_POST['user_id']) && isnum($_POST['user_id']))) {
		$data = dbarray(dbquery("SELECT user_groups FROM ".DB_USERS." WHERE user_id='".$_POST['user_id']."'"));
		if (!preg_match("(^\.{$_POST['user_group']}$|\.{$_POST['user_group']}\.|\.{$_POST['user_group']}$)", $data['user_groups'])) {
			$result = dbquery("UPDATE ".DB_USERS." SET user_groups='".$data['user_groups'].".".$_POST['user_group']."' WHERE user_id='".$_POST['user_id']."'");
		}
		redirect(FUSION_SELF);
	}
}

$rows = dbcount("(user_id)", DB_USERS, "user_groups=''");

$result = dbquery("
	SELECT user_id, user_name, user_lastvisit FROM ".DB_USERS."
	WHERE user_groups='' ORDER BY user_lastvisit DESC
	LIMIT ".$_GET['rowstart'].",".$items_per_page
);

opentable($locale['atg_001']);
if (dbrows($result)) {
	while ($data = dbarray($result)) {
		if ($data['user_lastvisit'] + $days * 86400 < time() + ($settings['timeoffset'] * 3600)) {
			$star = "<span style='color:#ff0000;'>*</span>\n";
		} else {
			$star = "";
		}
		$user_groups_opts = "";
		echo "<div style='margin-bottom:10px;' class='floatfix' id='user_".$data['user_id']."'>\n";
		echo "<div style='float:left; vertical-align:middle;'>".$locale['atg_002']." <a href='#user_".$data['user_id']."'>".$data['user_name']."</a> ".$locale['atg_003'];
		echo ($data['user_lastvisit'] ? "".$locale['atg_004'].showdate("longdate", $data['user_lastvisit']) : "".$locale['atg_005']."").$star."</div>\n";
		echo "<div style='float:right;'>\n";
		echo "<form name='admin_form' method='post' action='".FUSION_SELF."'>\n";
		$result2 = dbquery("SELECT group_id, group_name FROM ".DB_USER_GROUPS." ORDER BY group_name");
		if (dbrows($result2)) {
			while ($data2 = dbarray($result2)) {
				$user_groups_opts .= "<option value='".$data2['group_id']."'>".$data2['group_name']."</option>\n";
			}
			if ($user_groups_opts) {
				echo "<select name='user_group' class='textbox' style='width:200px;'>\n".$user_groups_opts."</select>\n";
				echo "<input type='submit' name='add_to_group' value='".$locale['atg_006']."' class='button' />\n";
				echo "<input type='hidden' name='user_id' value='".$data['user_id']."' />\n";
			}
		}
		echo "</form>\n";
		echo "</div>\n";
		echo "</div>\n";
	}
	if ($rows > $items_per_page) {
		echo "<div style='margin-top:5px; text-align:center;'>".makepagenav($_GET['rowstart'], $items_per_page, $rows, 3)."</div><br />\n";
	}
}
closetable();

require_once THEMES."templates/footer.php";
?>